# Neo Webseite – Brainstorm
- Neo Homepage Git :: https://git.neo-layout.org/neo/homepage
- Erste Besprechung :: https://pads.ccc.de/ZuvLydEbSP
- Zweite Besprechung :: https://pads.ccc.de/Ix6dEHSHkB

## 1. Aufbau neo-layout.org
### 1.1 Technische Umsetzung der Landing Page
- Sphinx/MkDocs // MkDocs unterstützt templates, HP in mkdocs sollte also klar gehen
- Erste Seite des Wiki

### 1.2 Zielgruppenanalyse
- 1.2.1 Stammuser  // Hier liegt m. E. n. ein zu großer Fokus drauf
  - Keine Design-Ansprüche
  - Usability-Ansprüche:
    - Toleriert längeren Klickpfad zur benötigten Info
    - Direktere Navigation ist dennoch wünschenswert
    - Shortcut wie die Suchleiste funktioniert
- 1.2.2 Interessenten //Vielschreiber: Lehrer, Studenten, Autoren, Journalisten (neben den üblichen Programmierern), Buchhalter (abwechselnd Geldbeträge und Buchungstexte erfassen, Arbeit in Tabellenkalkulation), Anwälte, Unternehmensberater… Eigentlich ist Neo für alle geil :-)
  - Müssen thematisch abgeholt werden
  - Was ist ein ergonomisches Layout?
  - Was sind die Vorteile? ( z.B. Ebenenkonzept)
  - Welche Layouts gibt es und wie unterscheiden sie sich?
    - Die Neo-Familie: Neo2, Bone, AdNW, KOY, …
  - Ist es schwer, ein neues Layout zu lernen?
  - Wie kann ich ein neues Layout installieren? // Geht auch im Wiki, aber ein Wiki ist eher für die Zielgruppe der Stammuser gedacht.
  - Tendenziell "Jump on, jump off", brauchen ihre Infos also eher schnell aka mit wenig Klicks
  - "Fancy" Design? Ansprechender für eine jüngere Zielgruppe, spricht aber gegen erste Seite des Wiki im Wiki-Stil
  - englische seite?

- 1.2.3 Multiplikatoren (Blogger etc) // Relevant?

### 1.3 Designnotizen
hrnz hat was gebaut, finden alle schön, wird benutzt werden. Damit ist readthedocs theme doch vom Tisch, wird alles in einem Theme gemacht.

- Vermeide Wall-of-Text
- Welche Infos sind essentiell? → Blickfang/Selling points
  - layer 3+4 (und grafiken der anderen layer)
  - heatmap vergleich zu qwertz
- Mobile/Tablet-freundlich? // Mobile User sind eine relevante Zielgruppe -> responsive
- Farbschema neu überdenken? Bleibt … [Roof Terracotta](https://www.htmlcsscolor.com/hex/A44A4A) bzw. [hier (laut Pipette)](https://www.htmlcsscolor.com/hex/A14D4B)
- Dark theme? -> lässt sich später vmtl. einfach nachlegen

## 2. Dokumentation: Struktur
Nami grobe Sammlung: https://pads.ccc.de/GQEzFgkbup

## Ressourcen
- MkDocs: Dokumentations-Generator :: https://www.mkdocs.org/
- Bisherige Wiki Seiten: https://git.neo-layout.org/neo/neo-layout/wiki/_pages
- Ursprüngliche Struktur: https://old-wiki.neo-layout.org/neowiki/wiki/TitleIndex (ohne Trac und Wiki)


## Offene Fragen
- README.md vs index.md
- Änderungen auf ML ankündigen, mitarbeit/widersprüche möglich machen, aktuell scheint nur/vorallem IRC eingebunden zu sein // Entscheidungsprozesse allgemein so ne Frage?
- Altes Wiki hat da noch so Überreste wie: https://old-wiki.neo-layout.org/neowiki/wiki/Abstimmungen

## Zusammenfassung vom 17.5.
- hrnz theme vorschlag sauber nachbauen und für Doku+HP nutzen
- Nami kümmert sich um ein git repo für die doku zum füllen, Luphan macht mit
- qwertfisch kümmert sich um den Windows-Teil
- hrnz macht Linux
- Mike macht Mac
